<div class="main-content">
  <div class="mb-16">
    <h3>Список новостей (редактирование)</h3>
  </div>

  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="40px">
    <mat-form-field matColumnDef="titleSearch">
      <mat-label>Поиск по заголовку</mat-label>
      <input matInput type="text" [(ngModel)]="params.search_title"
             (ngModelChange)="search.next($event)">

      <button mat-button *ngIf="params.search_title"
              matSuffix mat-icon-button aria-label="Clear"
              (click)="params.search_title=''; search.next('')">
        <mat-icon svgIcon="close"></mat-icon>
      </button>
    </mat-form-field>

    <mat-checkbox [(ngModel)]="params.filter_published" (ngModelChange)="search.next($event)"
                  (change)="!params.filter_published ? params.filter_published = null: '' ">
      Только опубликованные
    </mat-checkbox>
    <mat-checkbox [(ngModel)]="params.filter_deleted" (ngModelChange)="search.next($event)"
                  (change)="!params.filter_deleted ? params.filter_deleted = null: '' ">
      Показать c пометкой на удаление
    </mat-checkbox>

    <a mat-button color="primary" [routerLink]="['../', 'add']">Добавить новость</a>
  </div>

  <section [@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
    <div class="news"
         fxLayout.lt-sm="column"
         fxLayout.gt-xs="row wrap"
         fxLayoutAlign="space-between">
      <ng-container *ngFor="let item of news">
        <mat-card class="news_item"
                  fxFlex.lt-sm="100"
                  fxFlex.gt-xs="49"
                  fxFlex.gt-lg="30">
          <mat-card-header>
            <mat-card-title>{{item.title | slice:0: 30}}{{item.title.length >=29 ? '...': ''}}</mat-card-title>
            <span class="news__badge {{item.published ? 'news__badge--published':''}}" >
              {{item.published ? 'Опубликовано':'Снято с публикации'}}
            </span>
          </mat-card-header>
          <mat-divider></mat-divider>
          <mat-card-content>
            <div fxLayout="column" fxLayoutAlign="space-around" class="news_description-wrap">

              <p class="news_description">
                <quill-view-html [content]="item.content | slice:0:270 "></quill-view-html>
              </p>
              <div fxLayout="row" class="news_detail-wrap">
                <span [ngStyle]="{'color': '#a5a5a5'}">{{item.date_news | date}}</span>
                <a  [routerLink]="['../../', item.id]" class="news_item-link">Подробнее...</a>
              </div>
              <div>

                <a mat-button color="warn" [routerLink]="['../../', item.id, 'edit']" class="news_item-link" style="font-size: smaller">
                  Редактировать
                </a>
              </div>
            </div>

          </mat-card-content>

          <mat-card-actions *ngIf="item.files">
            <div *ngFor="let file of item.files">
              <button mat-flat-button (click)="initFileData(file?.id)" class="news_item-file">
                <mat-icon [svgIcon]=" file.type == '.pdf'? 'open-in-new': 'download'"
                          class="mr-8"></mat-icon>
                <span>{{file?.title}} {{file?.id}}</span>
              </button>
            </div>
          </mat-card-actions>

        </mat-card>
      </ng-container>
    </div>
  </section>
</div>
<app-loader *ngIf="isLoad"></app-loader>

<app-art-pagination class="p-20" (goPage)="pagination.next($event)"
                    (goNext)="pagination.next(params.page + 1)"
                    (goPrev)="pagination.next(params.page - 1)"
                    [pagesToShow]="pageToShow"
                    [page]="params.page"
                    [perPage]="params.limit"
                    [total]="total"></app-art-pagination>


